<div class="profile-container" fxLayout="row" fxLayout.xs="column"fxLayoutAlign="space-between center">
    <!-- Profile Card -->
    <div class="profile-card mat-elevation-z8" fxLayout="column" fxLayoutAlign="center center" *ngIf="user">
        <img src="/assets/images/profile-placeholder.jpg" alt="user.fname" class="profile-pic">
        <h1 class="heading">{{user.fname | titlecase}} {{user.lname | titlecase}}</h1>
        <div class="location">
            <svg width="18" height="18" viewBox="0 0 24 24" fill="currentColor">
                <path
                    d="M12,11.5A2.5,2.5 0 0,1 9.5,9A2.5,2.5 0 0,1 12,6.5A2.5,2.5 0 0,1 14.5,9A2.5,2.5 0 0,1 12,11.5M12,2A7,7 0 0,0 5,9C5,14.25 12,22 12,22C12,22 19,14.25 19,9A7,7 0 0,0 12 ,2Z">
                </path>
            </svg>
            <p class="location-p">{{city}}, {{country}}</p>
        </div>
        <div class="username-stats" fxLayout.xs="column">
            <div class="col-4">
                <h4>Username</h4>
                <p>{{user.userName}}</p>
            </div>
            <div class="col-4 empty"></div>
            <div class="col-4">
                <h4>Email</h4>
                <p>{{user.email}}</p>
            </div>
        </div>
        <div class="stats">
            <div class="col-4">
                <h4>{{reviews?.length}}</h4>
                <p>Reviews</p>
            </div>
            <div class="col-4">
                <h4>{{favoriteGames?.length}}</h4>
                <p>Favorties</p>
            </div>
            <div class="col-4">
                <h4>{{reviews?.length}}</h4>
                <p>Ratings</p>
            </div>
        </div>
    </div>
    <!-- Profile Card End -->
    <div class="favorite-games mat-elevation-z8">
        <div class="mat-title">Favorite Games</div>
        <mat-divider></mat-divider>
        <mat-list class="favorite-list">
            <mat-list-item class="favorite-list-item" *ngFor="let favorite of favoriteGames">
                <img class="game-poster" matListAvatar [src]="favorite.game.imageUrl" alt="game.title">
              <div (click)="goToMovieDetails(favorite.game.id)" mat-line>{{favorite.game.title}}</div>
              <div mat-line> {{favorite.game.availableEnd | date}} </div>
              <button (click)="deleteFromFavorite(favorite.favId)" class="delete-button" mat-mini-fab matTooltip="Delete" >
                <mat-icon>clear</mat-icon>
              </button>
            </mat-list-item>
          </mat-list>
    </div>
</div>